Create from JSON synchronously
curl --request POST \
--url https://api.presenton.ai/api/v3/presentation/from-json \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.presenton.ai/api/v3/presentation/from-json"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.presenton.ai/api/v3/presentation/from-json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"presentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"edit_path": "<string>",
"credits_consumed": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Generate Presentation using JSON (Without AI)
Create from JSON synchronously
Create and export a presentation from structured slide content before returning.
POST
/
api
/
v3
/
presentation
/
from-json
Create from JSON synchronously
curl --request POST \
--url https://api.presenton.ai/api/v3/presentation/from-json \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.presenton.ai/api/v3/presentation/from-json"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.presenton.ai/api/v3/presentation/from-json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"presentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"edit_path": "<string>",
"credits_consumed": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The language of the presentation
The title of the presentation
The template to use for the presentation. Available templates: neo-general, neo-modern, neo-standard, neo-swift, general, modern, standard, swift and your custom templates
The slides to use for the presentation
Show child attributes
Show child attributes
The format to export the presentation as
Available options:
pptx, pdf, png Whether to trigger subscribed webhooks
Was this page helpful?